unit Unit1;

interface

uses
  Windows, 
  Messages, 
  SysUtils, 
  Variants, 
  Classes, 
  Graphics, 
  Controls, 
  Forms,
  Dialogs, 
  KA.CDO.Message, 
  StdCtrls, System.ComponentModel;

type
  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Memo2: TMemo;
    KACDOMessage1: TKACDOMessage;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.nfm}

Function SaveTextFile(S,FN:String):Boolean;
Var
 F : TMemoryStream;
Begin
 SaveTextFile:=False;
 F:=Nil;
 Try
   F:=TMemoryStream.Create;
   F.Seek(0,soFromBeginning);
   F.Write(BytesOf(S),Length(S));
   F.Seek(0,soFromBeginning);
   F.SaveToFile(FN);
 Except
   Try
     F.Free;
   Except
   End;
   Exit;
 End;
 SaveTextFile:=True;
 F.Free;
End;


procedure TForm1.Button1Click(Sender: TObject);
begin
 Memo2.Lines.Clear;
 KACDOMessage1.Coder.ContentTransferEncoding := ComboBox1.Text;
 Memo2.Lines.Text := KACDOMessage1.Coder.EncodeString(Memo1.Lines.Text);
 Memo1.Lines.Clear;
end;

procedure TForm1.Button2Click(Sender: TObject);
Var
 S : String;
begin
 Memo1.Lines.Clear;
 KACDOMessage1.Coder.ContentTransferEncoding := ComboBox1.Text;
 S  := KACDOMessage1.Coder.DecodePlainText(Memo2.Lines.Text,'Windows-1251');
 Memo1.Lines.Text := S;
 Memo2.Lines.Clear;
end;

end.
